# $Revision: 1.24 $, $Date: 2004/11/01 11:13:45 $
Summary:	VQF plugin for XMMS
Summary(pl):	Wtyczka wejciowa dla XMMS-a odtwarzajca pliki VQF
Name:		xmms-input-vqf
Version:	0.94
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.csn.ul.ie/~mel/projects/linux/vqfplugin/vqfplugin-%{version}.tar.gz
# Source0-md5:	ce4f77b94303db473cc15aabf91649b5
Patch1:		vqfplugin-DESTDIR.patch
URL:		http://www.csn.ul.ie/~mel/projects/linux/vqfplugin/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows xmms to play VQF files.

%description -l pl
Ta wtyczka pozwala XMMS-owi odtwarza muzyk w formacie VQF.

%prep
%setup -q -n vqfplugin-%{version}
%patch1 -p1

%build
echo "#" > vqfinfo/Makefile.am
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{xmms_input_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-vqf.spec,v $
Revision 1.24  2004/11/01 11:13:45  kolodko
- rel 1
- STBR Ac

Revision 1.23  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.22  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.21  2004/05/19 12:45:45  kolodko
- updated to 0.94
- removed compile.patch, not needed anymore

Revision 1.20  2004/05/19 11:08:52  kolodko
- updated md5

Revision 1.19  2004/04/14 12:21:32  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.18  2004/04/13 12:55:28  patrys
- made it actually compile

Revision 1.17  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.16  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/31 21:26:51  grzegol
- changed hard-cored xmms prefix into xmms-config --prefix
- rel. 5

Revision 1.13  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.12  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.11  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/07/27 22:15:09  kloczek
- relase 4.

Revision 1.9  2002/07/04 22:54:53  marcus
- it is for ix86 only :(

Revision 1.8  2002/06/12 20:59:22  kloczek
- release 3 (for sync archs): use new %doc.

Revision 1.7  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/30 19:30:06  qboosh
- BuildRequires: autoconf, automake

Revision 1.2  2001/09/30 15:28:09  blues
- release 2
- ac2.5 ready

Revision 1.1  2000/11/08 14:31:18  michuz
- initial release
